Bug 1939149 (CVE-2021-3479) - CVE-2021-3479 OpenEXR: Out-of-memory caused by allocation of a very large buffer
Summary: CVE-2021-3479 OpenEXR: Out-of-memory caused by allocation of a very large buffer
Keywords:
Status: NEW
Alias: CVE-2021-3479
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1939150 (view as bug list)
Depends On: 1939184 1944838 1944840 1944837 1944839
Blocks: 1929339 1944842
TreeView+ depends on / blocked
 
Reported: 2021-03-15 17:26 UTC by Michael Kaplan
Modified: 2021-04-23 01:51 UTC (History)
6 users (show)

Fixed In Version: OpenEXR 3.0.0-beta
Doc Type: If docs needed, set a value
Doc Text:
There's a flaw in OpenEXR's Scanline API functionality. An attacker who is able to submit a crafted file to be processed by OpenEXR could trigger excessive consumption of memory, resulting in an impact to system availability.
Clone Of:
Environment:
Last Closed: 2021-03-29 20:06:19 UTC


Attachments (Terms of Use)

Description Michael Kaplan 2021-03-15 17:26:27 UTC
Out-of-memory in openexr_exrenvmap_fuzzer

Comment 1 Michael Kaplan 2021-03-15 17:26:32 UTC
External References:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=25370

Comment 2 Michael Kaplan 2021-03-15 17:46:34 UTC
Created OpenEXR tracking bugs for this issue:

Affects: fedora-all [bug 1939184]

Comment 5 Todd Cullum 2021-03-30 18:29:30 UTC
PR with some explanation: https://github.com/AcademySoftwareFoundation/openexr/pull/830

Comment 8 Todd Cullum 2021-03-30 18:44:37 UTC
*** Bug 1939150 has been marked as a duplicate of this bug. ***

Comment 9 Cary Phillips 2021-04-23 01:51:45 UTC
This is fixed in OpenEXR v2.5.4, v2.5.5, and v3.0.1 and beyond.


Note You need to log in before you can comment on or make changes to this bug.